%global srcname pytest-relaxed
%global desc  pytest-relaxed provides 'relaxed' test discovery for pytest. \
It is the spiritual successor to https://pypi.python.org/pypi/spec, but \
is built for pytest instead of nosetests, and rethinks some aspects of \
the design (such as a decreased emphasis on the display side of things.)

Name: python-%{srcname}
Version: 2.0.1
Release: 1
Summary: Relaxed test discovery for pytest

License: BSD
URL: https://github.com/bitprophet/pytest-relaxed
Source0: %{url}/archive/%{version}/%{srcname}-%{version}.tar.gz
BuildArch: noarch

%description
%{desc}

%package -n python3-%{srcname}
Summary:       %{summary}
BuildRequires: python3-devel 
BuildRequires: python3-decorator
BuildRequires: python3-pytest
BuildRequires: python3-setuptools
BuildRequires: python3-six
# No need to specify runtime dependencies because they'll be auto-generated

%description -n python3-%{srcname}
%{desc}

%prep
%autosetup -p1 -n %{srcname}-%{version}

%build
%py3_build

%install
%py3_install

%check
rm -f tests/test_display.py
PYTHONPATH=%{buildroot}%{python3_sitelib} pytest-%{python3_version}

%files -n python3-%{srcname}
%doc README.rst
%license LICENSE
%{python3_sitelib}/pytest_relaxed-%{version}-py%{python3_version}.egg-info/
%{python3_sitelib}/pytest_relaxed/

%changelog
* Wed Jun 21 2023 chendexi <chendexi@kylinos.cn> - 2.0.1-1
- Update package to version 2.0.1

* Mon Apr 10 2023 yaoxin <yao_xin001@hoperun.com> - 2.0.0-1
- Update to 2.0.0

* Tue Mar 28 2023 xu_ping <xuping33@h-partners.com> - 1.1.5-14
- Modify pytest version

* Fri May 13 2022 yaoxin <yaoxin30@h-partners.com> - 1.1.5-13
- Resolve the compilation failure in the check phase

* Fri Jan 29 2021 zhaorenhai <zhaorenhai@hotmail.com> - 1.1.5-12
- init spec of openEuler, referenced from Fedora. 

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.5-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.5-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Sat May 30 2020 Paul Howarth <paul@city-fan.org> - 1.1.5-9
- Avoid FTBFS with pytest 5

* Sat May 23 2020 Miro Hrončok <mhroncok@redhat.com> - 1.1.5-8
- Rebuilt for Python 3.9

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.5-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Tue Jan 14 2020 Miro Hrončok <mhroncok@redhat.com> - 1.1.5-6
- Make the release strictly bigger than the last two builds (rhbz #1788771)

* Mon Oct 07 2019 Othman Madjoudj <athmane@fedoraproject.org> - 1.1.5-1
- Update to 1.1.5 (rhbz #1697355)

* Sun Oct 06 2019 Othman Madjoudj <athmane@fedoraproject.org> - 1.1.5-5
- Drop python2 subpackage (python2 eol)

* Thu Oct 03 2019 Miro Hrončok <mhroncok@redhat.com> - 1.1.5-4
- Rebuilt for Python 3.8.0rc1 (#1748018)

* Mon Aug 19 2019 Miro Hrončok <mhroncok@redhat.com> - 1.1.5-3
- Rebuilt for Python 3.8

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Thu Jun 27 2019 Paul Howarth <paul@city-fan.org> - 1.1.5-1
- Update to 1.1.5
- Re-enable the test suite

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Jun 29 2018 Miro Hrončok <mhroncok@redhat.com> - 1.0.0-6
- Rebuilt for Python 3.7

* Thu Jun 28 2018 Athmane Madjoudj <athmane@fedoraproject.org> - 1.0.0-5
- Disable the test suite until a version compatible with pytest > 3.3 is available

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 1.0.0-4
- Rebuilt for Python 3.7

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Fri Nov 17 2017 Athmane Madjoudj <athmane@fedoraproject.org> - 1.0.0-2
- Minor packaging fixes

* Thu Nov 16 2017 Athmane Madjoudj <athmane@fedoraproject.org> - 1.0.0-1
- Initial spec

